﻿@model CustomerService.Web.ViewModels.Users.UsersViewModel

@{
    ViewBag.Title = "Users and roles management";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<div ng-controller="UsersController as main" ng-cloak class="users">

    <div class="clearfix">
        <div class="col-md-12">
            <h1 class="page-title">
                @ViewBag.Title
            </h1>
        </div>


        <div class="col-md-8">
            <div class="table-borderless">
                <table class="table table-hover">
                    <tr>
                        <th>Email</th>
                        <th class="capitalize">Type</th>
                        <th class="capitalize">Status</th>
                        <th>Api Key</th>
                        <th></th>
                    </tr>
                    <tr ng-repeat="user in main.users">
                        <td class="text-lowercase" ng-bind="user.email"></td>
                        <td ng-cloak> {{main.getUserType(user)}} </td>
                        <td ng-cloak> {{main.getUserStatus(user)}} </td>
                        <td>
                            <span ng-bind="user.apiKey"></span>
                            <span class="pointer" ng-click="main.changeApiKey(user)">
                                <i ng-show="user.isApiUser" class="fa fa-refresh"></i>
                            </span>
                        </td>
                        <td width="15px">
                            <div class="btn-group">
                                <button class="btn btn-danger btn-xs"
                                        ng-click="main.deleteUser(user)"
                                        ng-disabled="(main.getUserType(user) === 'Executive') || (main.getUserType(user) === 'Admin')">
                                    <i class="fa fa-trash"></i>
                                </button>
                            </div>
                        </td>
                    </tr>
                </table>
            </div>
        </div>
        


        <div class="col-md-4">
            
            <form class="form-horizontal" name="newUserForm">
                <div class="form-group" ng-class="{'has-error': newUserForm.email.$invalid && newUserForm.email.$dirty}">
                    <label for="user-email" class="col-sm-4 control-label">Email</label>
                    <div class="col-sm-8">
                        <input type="email" class="form-control" id="user-email" name="email" placeholder="Email" ng-model="main.newUser.email" autocomplete="new-user">
                        <p class="help-block" ng-if="newUserForm.email.$invalid && newUserForm.email.$dirty">Please Enter a valid email address</p>
                    </div>
                </div>

                <div class="form-group" ng-class="{'has-error': newUserForm.password.$invalid && newUserForm.password.$dirty}">

                    <label for="user-password" class="col-sm-4 control-label">Password</label>
                    <div class="col-sm-8">
                        <input type="password" class="form-control" name="password" id="user-password" placeholder="Password" ng-model="main.newUser.password" autocomplete="new-password" ng-minLength="6">
                        <p class="help-block" ng-if="newUserForm.password.$invalid && newUserForm.password.$dirty">Please Enter at least 6 characters password</p>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-offset-4 col-sm-8">
                        <select class="form-control" ng-model="userType" ng-init="userType = main.userTypes[1]" ng-options="type.name for type in main.userTypes">

                        </select>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-sm-offset-4 col-sm-8">
                        <button type="submit" class="btn btn-success" ng-disabled="!(newUserForm.email.$valid && newUserForm.password.$valid) || (!newUserForm.email.$dirty) || (!newUserForm.password.$dirty)" ng-click="main.createUser(main.newUser, userType)">
                            <span class="fa fa-plus"></span>
                            Add new
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>


</div>
